Summary: Generates recursivly digests.
Name: md5deep
Version: 1.5
Release: oss_fc2_1
Packager: Ralf Spenneberg <ralf@spenneberg.de>
Source: http://prdownloads.sourceforge.net/md5deep/md5deep-1.5.tar.gz
Copyright: no see readme
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
md5deep is a cross-platform set of programs to compute MD5, SHA-1, or SHA-256 message digests on an arbitrary number of files. The programs run on Windows, Linux, *BSD, OS X, Solaris, and should run on most other platforms. md5deep is similar to the md5sum program found in the GNU Coreutils package, but has the following additional features:
    * Recursive operation - md5deep is able to recursive examine an entire directory tree. That is, compute the MD5 for every file in a directory and for every file in every subdirectory.
    * Time estimation - md5deep can produce a time estimate when it's processing very large files.
    * Comparison mode - md5deep can accept a list of known hashes and compare them to a set of input files. The program can display either those input files that match the list of known hashes or those that do not match. Hashes sets can be drawn from the National Software Reference Library, iLook Investigator, Hashkeeper, or md5sum. Users are welcome to add functionality to read other formats too!
    * File type mode - md5deep can process only files of a certain type, such as regular files, block devices, etc. 

%prep
%setup

%build
CFLAGS=${RPM_OPT_FLAGS} make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man1/
install md5deep ${RPM_BUILD_ROOT}/%{_sbindir}
install sha1deep ${RPM_BUILD_ROOT}/%{_sbindir}
install sha256deep ${RPM_BUILD_ROOT}/%{_sbindir}/
cp *.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%doc  README CHANGES
%doc %{_mandir}/man1/*
%attr(755, root, root) %{_sbindir}/*

%changelog
* Sat Sep 18 2004 Ralf Spenneberg <ralf@spenneberg.de>
- first release on Fedora Core 2
